Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000220KdenliveEffectspublic2008-10-17 17:052008-11-12 22:22
Reportervolker_holthaus 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.0Fixed in Version0.7.0 
Summary0000220: No transition effects on text clip
Descriptionevery transition effect on a text clip don't work. There are no error or information messages.
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000462)
administrator (administrator)
2008-10-19 11:49

Yes, this is a known issue.
Currently, transparency for text clips / images is made by adding a composite transition to the clip. This transition is invisible to the user and moved automatically when the clip is moved by the user.

This means that if you add a transition to that clip, it will mix with the "invisible" transition, with no effect at all.

As a workaround for 0.7 release, I could completely disable these "invisible" transitions. It would mean that when adding a title or image in timeline, it will never be transparent. Users will then need to add a composite or wipe transition to get the transparency effect. The bad thing is that if you move the clip, you will also need to move the transition...

This is not perfect since most users will probably not understand how to achieve transparency, but at least it would allow title transitions. What do you think ?
(0000526)
volker_holthaus (reporter)
2008-10-21 16:55

Now i have a workaround. I put the clip on the 1 timeline and the textclip on the 2. timeline. Then i adding the transition Luma to the videoclip. Now i have a smooth transition between my title an the clip.

Thank you
(0000692)
volker_holthaus (reporter)
2008-10-25 19:25

the transiston wipe don't work with a Textclip, when i want to move the title over the screen.
(0000742)
madsdyd (administrator)
2008-10-28 23:34

Acknowled for version 0.7.0 as pr. jbs suggestion.
(0000776)
madsdyd (administrator)
2008-10-30 21:14

In SVN rev. 2600, there is a workaround, involving achieving transparency using an alpha transperancy transition. It appears to work: you can now achieve e.g. fades. using the composite transition. Also, the luma transitions appears to work. However, the wipes seems kind of broken, so we probably need to work more with this problem for 0.7.1.

Closing now, as we need to close for 0.7.0.

- Issue History
Date Modified Username Field Change
2008-10-17 17:05 volker_holthaus New Issue
2008-10-19 11:49 administrator Note Added: 0000462
2008-10-21 16:55 volker_holthaus Note Added: 0000526
2008-10-25 19:25 volker_holthaus Note Added: 0000692
2008-10-28 23:34 madsdyd Note Added: 0000742
2008-10-28 23:34 madsdyd Status new => acknowledged
2008-10-28 23:34 madsdyd Target Version => 0.7.0
2008-10-30 21:14 madsdyd Note Added: 0000776
2008-10-30 21:14 madsdyd Status acknowledged => closed
2008-10-30 21:14 madsdyd Resolution open => fixed
2008-10-30 21:14 madsdyd Fixed in Version => Recent git
2008-11-12 22:22 madsdyd Fixed in Version Recent git => 0.7.0


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker